Skip to content

Your data / Rosters

Get a roster

GET
https://ba.joexyz.online/api/v1/me/rosters/:id

Gets one of your rosters.

Parameters

  • id (path): The roster id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
id
curl https://ba.joexyz.online/api/v1/me/rosters/:id \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": {
    "id": "k17fp61xb5wqf8f6ge798sa1t17sg20f",
    "createdAt": "2025-10-15T00:22:23.815Z",
    "name": "Joe",
    "accountLevel": 90,
    "friendCode": "KQZRTVMW",
    "gameServer": "EU",
    "introduction": "Hello.\n\n**Note:** This isn't my full roster. Let me know if there's anyone in particular that you're looking for.",
    "lastUpdated": 1783978245235,
    "studentRepId": "kei",
    "students": [
      {
        "studentId": "hoshino_battle_dealer",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 0,
        "ex": 5,
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 74,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      },
      {
        "studentId": "hoshino",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 2,
        "ex": 5,
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 74,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      },
      {
        "studentId": "hoshino_swimsuit",
        "attackLevel": 25,
        "basic": 10,
        "enhanced": 10,
        "equipmentSlot1": 10,
        "equipmentSlot2": 10,
        "equipmentSlot3": 10,
        "equipmentSlot4": 0,
        "ex": 5,
        "featuredBorrowSlot": "jfd",
        "healLevel": 25,
        "hpLevel": 25,
        "level": 90,
        "relationshipRank": 64,
        "starLevel": 5,
        "sub": 10,
        "ueLevel": 4
      }
    ],
    "visibility": "public"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc